import * as Generator from './tables.generator';
export type WithTables<Context> = Generator.WithTables<Context>;
export type ModelWithTables = Generator.ModelContextResult;
export declare const frontendTablesGenerator: import("@postxl/generator").GeneratorInterface;
export declare const frontendTablesGeneratorId: string & import("zod").BRAND<"PXL.GeneratorInterfaceId">;
